Subject: Re: Regression: git send-email Message-Id: numbering doesn't start at 1 any more

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Nov 2023 10:34:26 +0900

Uwe Kleine-König <[email-masked]> writes:

> The output of git send-email dumps the messages it sends out and then I
> pick the message-id of the last mail by cut-n-paste and call my script
> with that as a parameter.

Yikes.  I was hoping that the whole "dumps the messages" output is
read by the script, so that it does not have to assume anything
about the Message-ID format (like "it has some unchanging parts,
the changing parts begin with 1, and it increments by 1 for each
message").

You could give Message-ID externally to the output of format-patch
before feeding send-email, which would just use them, and that way
you would have more control over the entire process, I guess.